// Benoetigte Libraries werden eingefügt und konfiguriert
#include <Wire.h>
#include <Adafruit_Sensor.h>
#include <Adafruit_BMP085_U.h>
Adafruit_BMP085_Unified BMPSensor = Adafruit_BMP085_Unified(10085);
 
void setup(void) 
{
  Serial.begin(9600);
  
  Serial.println("KY-052 SensorTest:");
  
  // Falls der Sensor nicht erkannt wurde, wird hier eine Fehlermeldung gezeigt
  if(!BMPSensor.begin())
  {
    Serial.println("KY-053-Sensor nicht erkannt!");
    Serial.print("Bitte ueberpruefen Sie die Verbindung");
    while(1);
  }
}
 
void loop(void) 
{
  // Initialisierung Adafruit BMP Library
  sensors_event_t event;
  BMPSensor.getEvent(&event);
 
  // Messung wird gestartet, falls Sensor bereit
  if (event.pressure)
  {
    Serial.println("------------------------");
    
    // Messung des Luftdrucks
    Serial.print("Luftdruck:    ");
    Serial.print(event.pressure);
    Serial.println(" hPa");
    
    // Messung der aktuellen Temperatur
    float temperature;
    BMPSensor.getTemperature(&temperature);
    Serial.print("Temperatur: ");
    Serial.print(temperature);
    Serial.write(176); // UniCode-Angabe eines char-Symbols für das "°-Symbol"
    Serial.println(" C");
 
    // Berechnung der Hoehe ueber dem Meeresspiegel,
    // aus den aufgenommenen Daten (SLP=1013.25 hPa)
    float seaLevelPressure = SENSORS_PRESSURE_SEALEVELHPA;
    Serial.print("Meereshoehe:    "); 
    Serial.print(BMPSensor.pressureToAltitude(seaLevelPressure,
                                        event.pressure,
                                        temperature)); 
    Serial.println(" m");
    Serial.println("------------------------");
    Serial.println("");
  }
  // Fehlermeldung falls Sensor nicht ausgelesen werden kann
  else
  {
    Serial.println("Sensor-Fehler");
  }
  delay(1000);
}
